Subject: Re: Pack files, standards compliance, and efficiency

From: Michael Haggerty <[email-masked]>
Date: Fri, 05 Jun 2015 22:03:27 +0200

On 06/05/2015 09:42 PM, brian m. carlson wrote:
> On Fri, Jun 05, 2015 at 05:22:08PM +0200, Michael Haggerty wrote:
>> I don't know that there would necessarily be problems, but I
>> would worry about code involving structure assignment. For
>> example, suppose the following snippet:
>> 
>> void f(struct object_id *oid) { struct object_id oid_copy =
>> *oid; /* ... */ }
>> 
>> The compiler is allowed to implement the copy using instructions
>> that rely on proper alignment. Such code would fail if oid is not
>> properly aligned.
> 
> We use oidcpy which doesn't use object assignment.  I brought that
> up previously, and Junio was opposed to doing *dest = *src.  So I
> don't think this ends up being an issue.

Sorry for overlooking (or forgetting :-( ) that discussion. Indeed,
that would allay my worry.

Michael

-- 
Michael Haggerty
[email-masked]